For the complete documentation index, see llms.txt. This page is also available as Markdown.

Address Book Distribution Lists for Device

Returns a list of device distribution lists for specified device

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

Responses
200

OK

ListIdstring · nullableOptional

A unique string that identifies the distribution list

ListNamestring · min: 1Required

The name of the address book distribution list

AppliesToSubtenantsbooleanOptional

Makes tenant list available also for sub-tenants, valid for tenant distribution lists only.

LastUpdatedstring · date-time · nullableOptional

A date and time that the entry was last modified, read only.

get/V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists
GET /V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists HTTP/1.1
Accept: */*
200

OK

[
  {
    "ListId": "text",
    "ListName": "text",
    "AppliesToSubtenants": true,
    "LastUpdated": "2026-01-01T00:00:00.000Z",
    "Recipients": [
      {
        "Type": "DeviceList",
        "TenantCode": "text",
        "ContactId": "text",
        "ContactDetailId": "text",
        "ListId": "text",
        "MessagingAddress": "text",
        "Radius": "text",
        "ReportingFrequency": "text",
        "Interval": "text",
        "GroupId": "text"
      }
    ]
  }
]

Creates a new distribution list for the specified device

post
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

Body
ListIdstring · nullableOptional

A unique string that identifies the distribution list

ListNamestring · min: 1Required

The name of the address book distribution list

AppliesToSubtenantsbooleanOptional

Makes tenant list available also for sub-tenants, valid for tenant distribution lists only.

LastUpdatedstring · date-time · nullableOptional

A date and time that the entry was last modified, read only.

Responses
200

OK

No content

post/V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists
POST /V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 325

{
  "ListId": "text",
  "ListName": "text",
  "AppliesToSubtenants": true,
  "LastUpdated": "2026-01-01T00:00:00.000Z",
  "Recipients": [
    {
      "Type": "DeviceList",
      "TenantCode": "text",
      "ContactId": "text",
      "ContactDetailId": "text",
      "ListId": "text",
      "MessagingAddress": "text",
      "Radius": "text",
      "ReportingFrequency": "text",
      "Interval": "text",
      "GroupId": "text"
    }
  ]
}
200

OK

No content

Returns a specific device distribution list

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

listIdstringRequired

List Id

Responses
200

OK

ListIdstring · nullableOptional

A unique string that identifies the distribution list

ListNamestring · min: 1Required

The name of the address book distribution list

AppliesToSubtenantsbooleanOptional

Makes tenant list available also for sub-tenants, valid for tenant distribution lists only.

LastUpdatedstring · date-time · nullableOptional

A date and time that the entry was last modified, read only.

get/V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists/{listId}
GET /V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists/{listId} HTTP/1.1
Accept: */*
200

OK

{
  "ListId": "text",
  "ListName": "text",
  "AppliesToSubtenants": true,
  "LastUpdated": "2026-01-01T00:00:00.000Z",
  "Recipients": [
    {
      "Type": "DeviceList",
      "TenantCode": "text",
      "ContactId": "text",
      "ContactDetailId": "text",
      "ListId": "text",
      "MessagingAddress": "text",
      "Radius": "text",
      "ReportingFrequency": "text",
      "Interval": "text",
      "GroupId": "text"
    }
  ]
}

Updates an existing device distribution list

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

listIdstringRequired

List Id

Body
ListIdstring · nullableOptional

A unique string that identifies the distribution list

ListNamestring · min: 1Required

The name of the address book distribution list

AppliesToSubtenantsbooleanOptional

Makes tenant list available also for sub-tenants, valid for tenant distribution lists only.

LastUpdatedstring · date-time · nullableOptional

A date and time that the entry was last modified, read only.

Responses
200

OK

No content

put/V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists/{listId}
PUT /V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists/{listId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 325

{
  "ListId": "text",
  "ListName": "text",
  "AppliesToSubtenants": true,
  "LastUpdated": "2026-01-01T00:00:00.000Z",
  "Recipients": [
    {
      "Type": "DeviceList",
      "TenantCode": "text",
      "ContactId": "text",
      "ContactDetailId": "text",
      "ListId": "text",
      "MessagingAddress": "text",
      "Radius": "text",
      "ReportingFrequency": "text",
      "Interval": "text",
      "GroupId": "text"
    }
  ]
}
200

OK

No content

Deletes a specific device distibution list

delete
Path parameters
tenantVarCodestringRequired
deviceIdstringRequired

Device Id

listIdstringRequired

List Id

Responses
200

OK

No content

delete/V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists/{listId}
DELETE /V2/{tenantVarCode}/devices/{deviceId}/addressbookdistributionlists/{listId} HTTP/1.1
Accept: */*
200

OK

No content

Last updated